/*
Style switcher
Author: Profrontend
License: CC0 Public Domain
 */
(function ($) {
    'use strict';

    var switcherHtml = '<div id="style-switcher" class="no-print" style="position: fixed; left: 0; top: 30%; width: 120px; height: 80px; z-index: 999;">';
    switcherHtml+= '<div id="style-switcher-btn" style="display: block; width: 120px; height: 30px; line-height: 30px; font-size: 11px; font-weight: bold; text-align: center; color: #fff; background-color: #222222;">';
    switcherHtml+= '<span style="padding-right: 0px; text-transform: uppercase; cursor: pointer;">Style Switcher</span></div>';
    switcherHtml+= '<div id="style-switcher-colors" style="position: relative; top: 0; left: -120px; width: 120px; min-height: 90px; padding-bottom: 10px; text-align: center; background-color: #222222; border-top: 1px solid #000; padding-top: 5px;">';
    switcherHtml+= '<span class="style-switcher-color" data-class="red-color-set" style="background: #E7543D; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="brown-color-set" style="background: #C69C6D; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="green-color-set" style="background: #0AAD80; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="orange-color-set" style="background: #FF9801; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<br>';
    switcherHtml+= '<span class="style-switcher-color" data-class="blue-color-set" style="background: #0093d0; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="purple-color-set" style="background: #A03E97; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="plum-color-set" style="background: #9661ab; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';
    switcherHtml+= '<span class="style-switcher-color" data-class="pink-color-set" style="background: #e64883; width: 20px; height: 20px; display: inline-block; margin: 2px; cursor: pointer;"></span>';

    switcherHtml+= '<p class="style-switcher-page" data-name="index-complete.html" style="text-transform: uppercase; cursor: pointer; margin: 0 0 10px 0; color: #fff; font-size: 11px; font-weight: bold;">Complete</p>';
    switcherHtml+= '<p class="style-switcher-page" data-name="index-minimal.html" style="text-transform: uppercase; cursor: pointer; margin: 0; color: #fff; font-size: 11px; font-weight: bold;">Minimal</p>';

    switcherHtml+= '</div>';
    switcherHtml+= '</div>';

    $('body').append(switcherHtml);

    var styleSwitcherTimer = null;

    var showStyleSwitcher = function() {
        $('#style-switcher-colors').animate({
            left: "0px"
        });
    };

    var hideStyleSwitcher = function() {
        $('#style-switcher-colors').animate({
            left: "-120px"
        });
    };

    $('#style-switcher-btn, #style-switcher-colors').on('mouseenter', function() {
        showStyleSwitcher();
        clearTimeout(styleSwitcherTimer);
    });

    $('#style-switcher-btn, #style-switcher-colors').on('mouseleave', function() {
        styleSwitcherTimer = setTimeout(function() { hideStyleSwitcher(); }, 800);
    });

    $('.style-switcher-color').on('click', function() {
        $('body').removeClass('red-color-set brown-color-set green-color-set orange-color-set blue-color-set purple-color-set plum-color-set pink-color-set');
        $('body').addClass( $(this).attr('data-class') );
    });

    $('.style-switcher-page').on('click', function() {
        var location = '';
        if ( window.location.href.indexOf('/index-') > 0 ) {
            location = window.location.href.split('/index-');
        } else {
            location = window.location.href.split('/subpage-');
        }

        if (location.length>1) {
            location=location[0];
            location += '/' + $(this).attr('data-name');
            window.location = location;
        }
    });

}(jQuery));
